clear t;
example = 1;
if (example == 1)
    xy = [0.5 1.5 1.0 0 2.0; 1 1 0 0 0];% nodes
    connectivity = [1 2; 1 3; 1 4; 2 3; 2 5; 3 4; 3 5]'; % connectivity
    t = truss2d(xy,connectivity);
    t = t.assignE(2e11);
    t = t.assignA(1e-6); % for all members, default
    t = t.fixXofNodes([4 5]);
    t = t.fixYofNodes([4 5]);
    t = t.applyForce(1,[1;-2]);
    t = t.applyForce(2,[2;0]);   
end
t = t.assemble();
t = t.solve(); % This is without any variation
t = t.computeStresses();
deltaNominal = t.myDeformationMax;
stressNominal = max(t.myStress);

nBars = t.myNumTrussBars;
nSamples = 20000;
AreaSamples = cell(1,nBars);
for bar = 1:nBars % create samples
    AreaSamples{bar} = Normal_Sampling(1e-6,2.5e-8,nSamples);
end

delta = zeros(1,nSamples);
stress = zeros(1,nSamples);
nFailuresDelta = 0;
nFailuresStress = 0;
tic % start the clock for timing
for n = 1:nSamples % for each sample
    for bar = 1:7
        t = t.assignA(AreaSamples{bar}(n),bar); % assign area
    end
    t = t.assemble();
    t = t.solve(); 
    t = t.computeStresses();
    deltaMax = t.myDeformationMax; 
    stressMax = max(t.myStress); 
    if (deltaMax > 1.05*deltaNominal)
        nFailuresDelta = nFailuresDelta + 1;
    end
    if (stressMax > 1.1*stressNominal)
        nFailuresStress = nFailuresStress + 1;
    end
end
timeTaken = toc % in seconds
pDelta = nFailuresDelta/nSamples
pStress = nFailuresStress/nSamples


