% triangle sampling
close all;
clc;
x = 0:0.01:pi;
f = x.*sin(x)/pi;
plot(x,f);
%%
figure;
F = (sin(x)-x.*cos(x))/pi;
plot(x,F);
%%
hold on;
uSamples = 0:0.05:1.0;
xGuess = pi/2;
for i = 1:numel(uSamples)
    u = uSamples(i)
    x = fsolve(@(x)samplingFunction(x,u),xGuess)
    plot([0 x],[u u],':r');
    pause
    plot([x x],[0 u],':b');
    pause
end
%%

uSamples = rand(1,1e4);
x = zeros(1,numel(uSamples));
xGuess = pi/2;
options = optimoptions('fsolve','Display','none');
for i = 1:numel(uSamples)
    u = uSamples(i);
    x(i) = fsolve(@(x)samplingFunction(x,u),xGuess,options);
    waitbar(i/numel(uSamples));
end
figure;
histogram(x,100);

