function p = LogNormal_Probability(lambda,xi,x0)
% For the lognormal distribution with  parameters lambda and xi
% returns the probability that x will be less than x0

% We use the property that if x is lognormal, then log(x) is normal
% with mean of 'lambda' and sigma of 'xi'
if (x0 <= 0)
    p = 0;
else
    p = Normal_Probability(lambda,xi,log(x0));
end
